CVE-2018-2779

MEDIUM

Description

Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server: Optimizer). Supported versions that are affected are 5.7.21 and prior. Easily exploitable vulnerability allows high privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server. CVSS 3.0 Base Score 4.9 (Availability impacts). CVSS Vector: (CVSS:3.0/AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H).

References

http://www.oracle.com/technetwork/security-advisory/cpuapr2018-3678067.html

http://www.securityfocus.com/bid/103787

http://www.securitytracker.com/id/1040698

https://access.redhat.com/errata/RHSA-2018:3655

https://security.netapp.com/advisory/ntap-20180419-0002/

https://usn.ubuntu.com/3629-1/

https://usn.ubuntu.com/3629-3/

Details

Source: MITRE

Published: 2018-04-19

Updated: 2018-11-27

Risk Information

CVSS v2.0

Base Score: 4

Vector: AV:N/AC:L/Au:S/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 8

Severity: MEDIUM

CVSS v3.0

Base Score: 4.9

Vector: CVSS:3.0/AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 1.2

Severity: MEDIUM

Tenable Plugins

View all (12 total)

IDNameProductFamilySeverity
700626MySQL 5.7.x < 5.7.22 Multiple Vulnerabilities (April 2018 CPU)Nessus Network MonitorDatabase
medium
121940Photon OS 2.0: Mysql PHSA-2018-2.0-0040NessusPhotonOS Local Security Checks
high
120201Fedora 28 : community-mysql (2018-00e90783d2)NessusFedora Local Security Checks
medium
111299Photon OS 2.0 : mysql (PhotonOS-PHSA-2018-2.0-0040) (deprecated)NessusPhotonOS Local Security Checks
high
110200Amazon Linux AMI : mysql57 (ALAS-2018-1026)NessusAmazon Linux Local Security Checks
medium
109563Fedora 26 : community-mysql (2018-8b920c2b00)NessusFedora Local Security Checks
medium
109561Fedora 27 : community-mysql (2018-7025a5c25d)NessusFedora Local Security Checks
medium
109467Ubuntu 18.04 LTS : MySQL vulnerabilities (USN-3629-3)NessusUbuntu Local Security Checks
medium
109311Ubuntu 14.04 LTS / 16.04 LTS / 17.10 : MySQL vulnerabilities (USN-3629-1)NessusUbuntu Local Security Checks
medium
109228FreeBSD : MySQL -- multiple vulnerabilities (57aec168-453e-11e8-8777-b499baebfeaf)NessusFreeBSD Local Security Checks
medium
109171MySQL 5.7.x < 5.7.22 Multiple Vulnerabilities (RPM Check) (April 2018 CPU)NessusDatabases
medium
109170MySQL 5.7.x < 5.7.22 Multiple Vulnerabilities (April 2018 CPU)NessusDatabases
medium